Subject: Re: [Sipping] Re: Cookies vs. State

From: [email-masked]
Date: Fri, 19 Apr 2002 11:47:00 EDT

In a message dated 4/18/02 7:44:05 PM Eastern Daylight Time, [email-masked] 
writes:

> High availability with everything stored in one place is certainly easier 
> than storing the data in end devices and working out all the protocol and 
> security issues to fetch it whenever feature processing needs to know it. 
> Design technique for highly reliable systems, often based on redundant 
> pairs with sharing of state information, has been around for decades. 
> 
> And I continue to puzzle over why a call stateful, highly reliable proxy to 
> control some service is considered to be "undesirable". And it's not 
> sufficient to say "because that's not the way http did it". 
> 

In a message dated 4/19/02 9:06:16 AM Eastern Daylight Time, 
[email-masked] writes:

> Because many find that it's a whole lot easier to get stateless systems
> reliable and scaleable then a stateful system.  If you want to build
> systems that use replicated state by all means, do it.  To enable
> people who want to build systems where state is kept in the UA, we
> offer cookies. 
> 

In a message dated 4/18/02 9:49:29 PM Eastern Daylight Time, 
[email-masked] writes:

> But a system builder is free to use centralized redundancy. I do it all the 
> time. We sell lots of highly redundant state-shared proxyclusters, 
> primarily as firewall controllers. 
> 

Exactly. What I've been trying to say it that there are multiple ways to 
achieve reliability, and one of them is with redundant, highly reliable 
systems that do not need to resort to stored their important data in someone 
elses device for backup. So admit that this may be the better solution in 
some cases or for some implementors and stop referring to this method as 
"undesirable".

Mike

---

From: "Dean Willis" <[email-masked]>
Date: Fri, 19 Apr 2002 16:13:03 -0500

Mike said:
------------- 
Exactly. What I've been trying to say it that there are multiple ways to
achieve reliability, and one of them is with redundant, highly reliable
systems that do not need to resort to stored their important data in
someone elses device for backup. So admit that this may be the better
solution in some cases or for some implementors and stop referring to
this method as "undesirable". 
-------------
 
Hey, nobody is forcing you (well, I suppose that depends on your
contract) to build a service platform that relies on cookies for its
reliability mechanism. Likewise, nobody is forcing you to use
shared-state redundancy. 
 
Each is undesirable in some circumstances.
 
--
Dean